Subject: Re: Mass udp flow reboot linux with RealTek RTL-8169 Gigabit

From: Hans Nieser <[email-masked]>
Date: Tue, 22 Feb 2011 18:33:27 +0100

Francois Romieu wrote:
> Seblu <[email-masked]> :
> [...]
> > I've applyed your patch on 2.6.38-rc5. Host have rebooted 2mn after udp start.
> > After this reboot, host is still on after 2 hour under a 1Gbit/s udp flow.
> 
> Thanks for testing.
> 
> > I attached a dmesg output before reboot. Do you need anything else?
> 
> Mostly :
> 1. .config
> 2. the size of the udp packets and the mtu
> 
> As an option :
> 3. a few seconds of 'vmstat 1' from the host under test
> 4. an 'ethtool -s eth0' from the host under test
> 5. /proc/interrupts from the host under test
> 6. lspci -tv 
> 
> Can you apply the two attached patches on top of the previous ones and
> give it a try ? The debug should not be too verbose if things are stationary
> enough.

With your patches applied to 2.6.38-rc6, I have gathered some of the
info you requested from Seblu as well, I hope it's helpful:

1: see attachment

2: I'm not sure how to check the size of the packets, but I'm just
fetching a (large) file over http/tcp, so I guess they are mostly of the
size of my MTU which is 1500 looking at ifconfig output

For the other vmstat/ethtool/interrupts output, I started the following
commands remotely via ssh a second or two before starting the download,
and the machine locked up a few seconds later:

# vmstat 1
# while true; do echo .; ethtool -S eth0; sleep 0.5; done
(I assume you actually meant the -S option to ethtool btw, -s seemed to
be a noop)
# while true; do echo .; cat /proc/interrupts; sleep 0.5; done

I've attached the outputs of the above commands

I also included dmesg output generated during the transfer (the actual
transfer starts at the 256~ printk timestamp I believe), the dmesg is
probably missing a second or so at the end before machine locked up

6:

-[0000:00]-+-00.0  Intel Corporation Core Processor DMI
           +-03.0-[01]--+-00.0  ATI Technologies Inc Cypress [Radeon HD 5800 Series]
           |            \-00.1  ATI Technologies Inc Cypress HDMI Audio [Radeon HD 5800 Series]
           +-08.0  Intel Corporation Core Processor System Management Registers
           +-08.1  Intel Corporation Core Processor Semaphore and Scratchpad Registers
           +-08.2  Intel Corporation Core Processor System Control and Status Registers
           +-08.3  Intel Corporation Core Processor Miscellaneous Registers
           +-10.0  Intel Corporation Core Processor QPI Link
           +-10.1  Intel Corporation Core Processor QPI Routing and Protocol Registers
           +-1a.0  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1a.1  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1a.2  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1a.7  Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
           +-1b.0  Intel Corporation 5 Series/3400 Series Chipset High Definition Audio
           +-1c.0-[02]--+-00.0  JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller
           |            \-00.1  JMicron Technology Corp. JMB362/JMB363 Serial ATA Controller
           +-1c.1-[03]----00.0  Realtek Semiconductor Co., Ltd. RTL8111/8168B PCI Express Gigabit Ethernet controller
           +-1c.2-[04]----00.0  NEC Corporation Device 0194
           +-1d.0  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1d.1  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1d.2  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1d.3  Intel Corporation 5 Series/3400 Series Chipset USB Universal Host Controller
           +-1d.7  Intel Corporation 5 Series/3400 Series Chipset USB2 Enhanced Host Controller
           +-1e.0-[05]----04.0  Texas Instruments TSB12LV23 IEEE-1394 Controller
           +-1f.0  Intel Corporation 5 Series Chipset LPC Interface Controller
           +-1f.2  Intel Corporation 5 Series/3400 Series Chipset 6 port SATA AHCI Controller
           \-1f.3  Intel Corporation 5 Series/3400 Series Chipset SMBus Controller